aboutsummaryrefslogtreecommitdiffstats
path: root/plans/vnfsdk-marketplace/testsuites
diff options
context:
space:
mode:
authorBartosz Gardziejewski <bartosz.gardziejewski@nokia.com>2020-09-29 13:50:12 +0200
committerBartosz Gardziejewski <bartosz.gardziejewski@nokia.com>2020-09-30 13:49:42 +0200
commit03591ab4f63d6a95b9fc03fdf14ea10bc1d3c94c (patch)
tree7082c6622690ed197d780b601b30d7842e4e9a62 /plans/vnfsdk-marketplace/testsuites
parent334a204a6e0ce7e7a28de8ac3f8fb008bcc5683a (diff)
Fixing CSIT tests for vnfsdk-refrepo and vnfsdk-marketplace.
Signed-off-by: Bartosz Gardziejewski <bartosz.gardziejewski@nokia.com> Change-Id: I75e2181d2bb1c70c80ab6f4f51eb8190bec7faa7 Issue-ID: VNFSDK-659
Diffstat (limited to 'plans/vnfsdk-marketplace/testsuites')
-rw-r--r--plans/vnfsdk-marketplace/testsuites/docker-compose.yml43
-rw-r--r--plans/vnfsdk-marketplace/testsuites/enterprise2DC.csarbin0 -> 4622 bytes
-rw-r--r--plans/vnfsdk-marketplace/testsuites/setup.sh43
-rw-r--r--plans/vnfsdk-marketplace/testsuites/teardown.sh20
-rw-r--r--plans/vnfsdk-marketplace/testsuites/testplan.txt3
-rw-r--r--plans/vnfsdk-marketplace/testsuites/uploadCSAR.sh138
6 files changed, 247 insertions, 0 deletions
diff --git a/plans/vnfsdk-marketplace/testsuites/docker-compose.yml b/plans/vnfsdk-marketplace/testsuites/docker-compose.yml
new file mode 100644
index 00000000..f1bb90c5
--- /dev/null
+++ b/plans/vnfsdk-marketplace/testsuites/docker-compose.yml
@@ -0,0 +1,43 @@
+# Copyright 2020 Huawei Technologies Co., Ltd.
+# Copyright 2020 Nokia.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+version: '2'
+networks:
+ default:
+ driver: bridge
+ driver_opts:
+ com.docker.network.driver.mtu: ${NETWORK_DRIVER_MTU}
+
+services:
+ postgres:
+ container_name: "postgres"
+ restart: "always"
+ image: "nexus3.onap.org:10001/onap/vnfsdk/refrepo/postgres:${POSTGRES_IMAGE_TAG}"
+ mem_limit: "1g"
+ memswap_limit: "1g"
+ ports:
+ - "5432:5432"
+
+ refrepo:
+ container_name: "refrepo"
+ restart: "always"
+ image: "nexus3.onap.org:10001/onap/vnfsdk/refrepo:${REFREPO_IMAGE_TAG}"
+ ports:
+ - "8702-8703:8702-8703"
+ - "50051:50051"
+ environment:
+ POSTGRES_SERVICE_HOST: postgres
+ links:
+ - postgres
diff --git a/plans/vnfsdk-marketplace/testsuites/enterprise2DC.csar b/plans/vnfsdk-marketplace/testsuites/enterprise2DC.csar
new file mode 100644
index 00000000..0960b20a
--- /dev/null
+++ b/plans/vnfsdk-marketplace/testsuites/enterprise2DC.csar
Binary files differ
diff --git a/plans/vnfsdk-marketplace/testsuites/setup.sh b/plans/vnfsdk-marketplace/testsuites/setup.sh
new file mode 100644
index 00000000..a30a682c
--- /dev/null
+++ b/plans/vnfsdk-marketplace/testsuites/setup.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+# Copyright 2020 Nokia.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# These scripts are sourced by run-csit.sh.
+
+REFREPO_IMAGE_TAG=1.6.0-STAGING-latest \
+POSTGRES_IMAGE_TAG=latest \
+NETWORK_DRIVER_MTU=1450 \
+docker-compose up -d
+
+DOCKER_IP=`get-docker-network-ip.sh`
+
+# Wait for Market place initialization
+echo Wait for VNF Repository initialization
+# Active waiting with healthcheck and max retry count
+MAX_RETRY=30
+TRY=1
+while (( $(curl -s -o /dev/null -w ''%{http_code}'' ${DOCKER_IP}:8702/onapapi/vnfsdk-marketplace/v1/PackageResource/healthcheck) != 200 )) && (($TRY < $MAX_RETRY)); do
+ sleep 4
+ TRY=$[$TRY+1]
+done
+
+# Get refrepo logs for easier debug in case of failure
+docker logs refrepo
+REFREPO_IP=`get-instance-ip.sh refrepo`
+
+# Pass any variables required by Robot test suites in ROBOT_VARIABLES
+ROBOT_VARIABLES="-v SCRIPTS:${SCRIPTS} -v REPO_IP:${REFREPO_IP}"
+echo ${ROBOT_VARIABLES}
diff --git a/plans/vnfsdk-marketplace/testsuites/teardown.sh b/plans/vnfsdk-marketplace/testsuites/teardown.sh
new file mode 100644
index 00000000..1bf79225
--- /dev/null
+++ b/plans/vnfsdk-marketplace/testsuites/teardown.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+# Copyright 2020 Nokia.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# This script is sourced by run-csit.sh after Robot test completion.
+
+docker-compose down
diff --git a/plans/vnfsdk-marketplace/testsuites/testplan.txt b/plans/vnfsdk-marketplace/testsuites/testplan.txt
new file mode 100644
index 00000000..b5370f38
--- /dev/null
+++ b/plans/vnfsdk-marketplace/testsuites/testplan.txt
@@ -0,0 +1,3 @@
+## Test suites are relative paths under [integration/csit.git]/tests/.
+## Place the suites in run order.
+vnfsdk-marketplace/provision/sanity_test_vnfsdktestfunction.robot
diff --git a/plans/vnfsdk-marketplace/testsuites/uploadCSAR.sh b/plans/vnfsdk-marketplace/testsuites/uploadCSAR.sh
new file mode 100644
index 00000000..279912c3
--- /dev/null
+++ b/plans/vnfsdk-marketplace/testsuites/uploadCSAR.sh
@@ -0,0 +1,138 @@
+#!/usr/bin/env bash
+###############################################################################
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+###############################################################################
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo $SCRIPT_DIR
+
+#CHECK IF MSB_ADDR IS GIVEN IN COMMAND
+if [ -z "$1" ]
+then
+ echo "There is no MSB_ADDR"
+ exit 1
+fi
+MSB_ADDR=$1
+CSAR_NAME=$2
+echo $MSB_ADDR
+echo $CSAR_NAME
+
+# Wait for MSB initialization
+echo Wait for MSB initialization
+for i in {1..20}; do
+ curl -sS -m 1 $MSB_ADDR > /dev/null && break
+ sleep $i
+done
+#MSB initialized
+###########################################
+###########################################
+###########################################
+###########################################
+###########################################
+###########################################
+############UOLOAD PACKAGE to MARKET PLACE######################
+echo
+echo "############## UOLOAD PACKAGE to MARKET PLACE STARTED ##############";
+UploadPackageResponse=$(curl -sS -X POST -H "Content-Type: multipart/form-data;" -F "file=@$CSAR_NAME" http://$MSB_ADDR/openoapi/vnfsdk-marketplace/v1/PackageResource/csars)
+if echo "$UploadPackageResponse" | grep -q "\"csarId\""; then
+ echo "UOLOAD PACKAGE TO MARKET PLACE SUCSSS !!!";
+else
+ echo "UploadPackageResponse :$UploadPackageResponse"
+ echo "UOLOAD PACKAGE TO MARKET PLACE FAILED !!!";
+ exit 1;
+fi
+UploadCsarId=$(echo ${UploadPackageResponse:11:36})
+echo "PACKAGE ID:$UploadCsarId"
+echo "############## UOLOAD PACKAGE to MARKET PLACE END ##################";
+#######UOLOAD PACKAGE to MARKET PLACE END#############
+###########################################
+###########################################
+###########################################
+###########################################
+###########################################
+###########################################
+###########################################
+################GET ON BOARD STATUS########
+echo
+echo "####################### GETTING ON-BOARDING STATUS ##################";
+#sleeping for 10 sec so thate ON Boarding operation should be happened at backend
+for pc in $(seq 1 10); do
+ status=$((${pc}*10));
+ echo -ne "ON_BOARDING Status (%): $status\033[0K\r"
+ sleep 1
+done
+echo
+
+#Three Retries for getting On Boarding Result
+#count=0
+#while [ $count -lt 3 ]
+#do
+# OnBoardStatusResponse=$(curl -sS -X GET "http://$MSB_ADDR/openoapi/vnfsdk-marketplace/v1/PackageResource/csars/$UploadCsarId/onboardstatus?operTypeId=functiontest&operId=functestexec" -H "Accept: application/json" -H "Content-Type: application/json")
+# echo $OnBoardStatusResponse
+# if echo "$OnBoardStatusResponse" | grep -q "\"status\":0"; then
+# break;
+# else
+# if [ $count -eq 3 ]
+# then
+# echo "ON-BOARDING OPERATION FAILED !!!";
+# fi
+# count=`expr $count + 1`;
+# sleep 3;
+# fi
+#done
+echo "GET ON-BOARDING RESULT OPERATION SUCESS ";
+echo "##################### GETTING ON-BOARDING STATUS END #################";
+####################GET ON BOARD STATUS END############
+##########################################
+##########################################
+##########################################
+##########################################
+##########################################
+#################DOWNLOAD PACKAGE#########
+echo
+echo "############## DOWNLOADED PACKAGE FROM MARKET STARTED #################";
+PACKAGE_NAME=market_temp.csar
+curl -sS -X GET "http://$MSB_ADDR/openoapi/vnfsdk-marketplace/v1/PackageResource/csars/$UploadCsarId/files" > $PACKAGE_NAME
+fileSize=$(du -b $PACKAGE_NAME | cut -f 1)
+if [ $fileSize -eq 0 ]
+then
+ echo "DOWNLOADED PACKAGE FROM MARKET NOT PROPER, ON-BOARDING OPERATION FAILED !!!";
+ exit 1;
+fi
+echo "DOWNLOADED PACKAGE FROM MARKET OPERATION SUCESS !!!";
+echo "MARKET PACKAGE NAME:$PACKAGE_NAME"
+echo "##################### DOWNLOADED PACKAGE FROM MARKET ##################";
+###################DOWNLOAD PACKAGE END#####################
+##########################################
+##########################################
+##########################################
+##########################################
+##########CATALOUGE START#################
+echo
+PACKAGE_NAME=$CSAR_NAME
+#Check if common-tosca-catalog is registered with MSB or not
+#curl -sS -X GET http://$MSB_ADDR/api/microservices/v1/services/catalog/version/v1 -H "Accept: application/json" -H "Content-Type: application/json"
+#check if common-tosca-aria is registered with MSB or not
+#curl -sS -X GET http://$MSB_ADDR/api/microservices/v1/services/tosca/version/v1 -H "Accept: application/json" -H "Content-Type: application/json"
+#echo Sending POST request to Catalog
+CsarIdString=$(curl -sS -X POST -H "Content-Type: multipart/form-data; boundary=-WebKitFormBoundary7MA4YWxkTrZu0gW" -H "Cache-Control: no-cache" -H "Postman-Token: abcb6497-b225-c592-01be-e9ff460ca188" -F "file=@$PACKAGE_NAME" http://$MSB_ADDR/openoapi/catalog/v1/csars)
+#getting csarId from the output of curl request
+CsarId=$(echo ${CsarIdString:11:36})
+echo $CsarId
+echo $CsarIdString
+#csarid is sucessfully stored in CsarId variable
+echo "====finished======"
+##########CATALOUGE END############
+echo "DELETING PACAKE LOCAL COPY:$PACKAGE_NAME";
+#rm $PACKAGE_NAME;